Subject: Re: [PATCH v2 net-next 0/1] AccECN packetdrill selftest series

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Jan 2026 20:11:33 -0800

On Wed, 14 Jan 2026 23:25:59 +0000 Chia-Yu Chang (Nokia) wrote:
> > Missing your own SoB on the patch, but also -- are these supposed to pass without the kernel patches? Without going back to check Paolo's message my understanding was that you'd repost this as patch 15 of the kernel series.
> > 
> > On the packetdrill side -- is PR #61 the code we need merged?
> > Doesn't seem like it. Could you please clean that part up and start the review process?  
> 
> Thanks, I will add my own SoB in the next version.
> This patch can NOT pass without the last kernel patch; shall I merge
> this series into that kernel series? If yes, I will submit v8 on that
> series and add this patch as the last one.

Yes, please.

> On the packetdrill, the used packetdrill is commit
> 6f2116af6b7e1936a53e80ab31b77f74abda1aaa of the branch:
> https://github.com/minuscat/packetdrill_accecn Shall I create PR? Or
> above info is ok for merging into packetdrill.

Please create a PR and let's give Neal a couple of days to look thru it.
We don't need the packetdrill side to be fully merged upstream but
I'd love some indication that it's not going to take long because
we need to manually manage the packetdrill build if it's not upstream.